import { defineConfig } from 'vite'
import react from '@vitejs/plugin-react'
import copy from 'rollup-plugin-copy'

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [react()],
  build: {
    rollupOptions: {
      output: {
        entryFileNames: `assets/[name].js`,
        chunkFileNames: `assets/[name].js`,
        assetFileNames: `assets/[name].[ext]`
      },
      plugins: [
        copy({
          targets: [
            { src: 'public/icons.json', dest: 'dist/assets' }
          ],
          verbose: true,
          hook: 'writeBundle',
        })
      ]
    }
  },
})
